---

- name: "ceilometer.instance.os.metadata"
  sample_type: "gauge"
  unit: "vcpu"
  value_attribute: "vcpus"
  response_entries_key: "instance"
  resource_id_attribute: "resource_id"
  host_command: "sudo /usr/bin/ceilometer-instance-poller --config-file /etc/ceilometer-instance-poller/ceilometer-instance-poller.conf"
  namespaces: "compute"
  metadata_fields:
    - "os_family"
    - "os_distro"
    - "os_info"
    - "os_product_name"
    - "os_product_variant"
    - "os_version_major"
    - "os_version_minor"
  response_handlers:
    - json
